Ambassador revenue, commission, orders, page views, link clicks, creators added and sign-ins, with a daily series and top creators and products
GET
/api/public/v1/shopify/statsLiveAnswers from your brand's records now.
Operation id getShopifyStats
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/shopify/stats" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_scope | query | string | One of ambassadorsocialall |
| campaign_ids | query | string | |
| creator_id | query | integer | |
| sale_source | query | string | One of allmetaorganic |
| customer_occurrence | query | string | One of first_timerepeatall |
| joined_start_date | query | string (date) | |
| joined_end_date | query | string (date) |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.notes | object | |
| data.series | array of object | |
| data.top_creators | object | |
| data.top_products | object | |
| data.totals | object | |
| success | boolean |
Example
{
"data": {
"notes": {},
"series": [
{}
],
"top_creators": {},
"top_products": {},
"totals": {}
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.